commit:     a9cfc885e32b49f962b142183d76836e596b90e0
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 30 19:19:44 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Wed Sep 30 19:20:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9cfc885

dev-python/humanize: bump to 3.0.0

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/humanize/Manifest              |  1 +
 dev-python/humanize/humanize-3.0.0.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/humanize/Manifest b/dev-python/humanize/Manifest
index deb145f01f9..2645843bb49 100644
--- a/dev-python/humanize/Manifest
+++ b/dev-python/humanize/Manifest
@@ -1 +1,2 @@
 DIST humanize-2.6.0.tar.gz 53753 BLAKE2B 
7908100cde103846554264df887ddb54223900cdbf1e52b2a19f029084b2997ab7a02e275f437d0cc04c3c42d6f8c371fbdab23468cdeb8f98a8cd6a64c1c288
 SHA512 
d1e57672c80ccabc48dadb2bafe65ac0b5b23de13907d7d51a06b6a1f2f01ef254e36afa203c9393420ad3bb5aaa22616a0d5c4c71cc53cf47727436be0b1599
+DIST humanize-3.0.0.tar.gz 53458 BLAKE2B 
c75ddbeed88aaef0019b50691576e6c8dd8ffdbf0ed1f1d1221c40ebfbaa502176f2db463afea3c8384f1b9acea7daaeca1e81f72919dbe2c476ff9d95db166b
 SHA512 
8d566b4fba6b1f7f025e30d5d0402cb7ef7bf4881fb14608b011474d3e6991a0a058d444ccfdbb796205d959c2c4192e0eb98c6c15c31ba9e304f39a7cf8d025

diff --git a/dev-python/humanize/humanize-3.0.0.ebuild 
b/dev-python/humanize/humanize-3.0.0.ebuild
new file mode 100644
index 00000000000..94f1f6012cd
--- /dev/null
+++ b/dev-python/humanize/humanize-3.0.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Common humanization utilities"
+HOMEPAGE="https://github.com/jmoiron/humanize/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       test? ( dev-python/freezegun[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       # The package uses pkg_resources to determine its version
+       distutils_install_for_testing
+       pytest -vv || die "Tests fail with ${EPYTHON}"
+}

Reply via email to